#!/bin/bash
# 获取脚本所在目录
SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
# 切换到项目根目录
cd "$SCRIPT_DIR/.."

opt -load ./build/ModuleFusion.so -codefusion < proprocess_output/combined_tagged.ll > output/module_fusion.bc 2> output/log_module_fusion.txt

llvm-dis output/module_fusion.bc -o output/module_fusion_text.ll
llvm-cbe output/module_fusion_text.ll